Subject: bug#57870: closed (Re: bug#57870: 27.1; vc-tor has no effect)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Sep 2022 01:02:02 +0000

Your bug report

#57870: 27.1; vc-tor has no effect

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57870: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57870
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57870: 27.1; vc-tor has no effect
From: Sean Whitton <[email-masked]>
To: Philip Kaludercic <[email-masked]>, [email-masked]
Date: Sat, 17 Sep 2022 18:01:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Sat 17 Sep 2022 at 02:28PM GMT, Philip Kaludercic wrote:

> Sean Whitton <[email-masked]> writes:
>
>> Hello,
>>
>>>>From reading vc-do-command, it looks to me that the vc-tor defcustom has
>> never actually had any effect on the commands that are run.  The
>> full-command variable is used only in messages displayed to the user.
>>
>> If someone else could verify this, I'll push the attached.  This is
>> blocking my work on #57807.  Thanks.
>
> I've just tried it out and it seems to do the right thing.

Thanks for reviewing!

-- 
Sean Whitton

Subject: 27.1; vc-tor has no effect
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Fri, 16 Sep 2022 16:22:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

>From reading vc-do-command, it looks to me that the vc-tor defcustom has
never actually had any effect on the commands that are run.  The
full-command variable is used only in messages displayed to the user.

If someone else could verify this, I'll push the attached.  This is
blocking my work on #57807.  Thanks.

-- 
Sean Whitton
>From ee62f2aed8f6339dc0442fb140d3df01d98ce659 Mon Sep 17 00:00:00 2001
From: Sean Whitton <[email-masked]>
Date: Fri, 16 Sep 2022 16:18:35 -0700
Subject: [PATCH] vc-do-command: Actually include "torsocks" in the command

* lisp/vc/vc-dispatcher.el (vc-do-command): When vc-tor is non-nil,
actually include "torsocks" in the command to be run (bug#XXXXX).
---
 lisp/vc/vc-dispatcher.el | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/lisp/vc/vc-dispatcher.el b/lisp/vc/vc-dispatcher.el
index 36a6f27891..fff53fbcba 100644
--- a/lisp/vc/vc-dispatcher.el
+++ b/lisp/vc/vc-dispatcher.el
@@ -298,6 +298,9 @@ vc-do-command
 that is inserted into the command line before the filename.
 Return the return value of the slave command in the synchronous
 case, and the process object in the asynchronous case."
+  (when vc-tor
+    (push command flags)
+    (setq command "torsocks"))
   ;; FIXME: file-relative-name can return a bogus result because
   ;; it doesn't look at the actual file-system to see if symlinks
   ;; come into play.
@@ -310,8 +313,7 @@ vc-do-command
 	 ;; due to potential truncation of long messages.
 	 (message-truncate-lines t)
 	 (full-command
-	  (concat (if vc-tor "torsocks " "")
-                  (if (string= (substring command -1) "\n")
+	  (concat (if (string= (substring command -1) "\n")
 		      (substring command 0 -1)
 		    command)
 		  " " (vc-delistify flags)
-- 
2.30.2